summaryrefslogtreecommitdiffstats
path: root/development/jbigkit
diff options
context:
space:
mode:
author Iskar Enev <iskar.enev[@]gmail.com>2010-05-11 20:00:25 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 20:00:25 +0200
commit626a6ae87de9a68b02f989dd849daed015533a3a (patch)
treee0346080d50f74bf3ff20862c25f3f95a7dd75ba /development/jbigkit
parentd9f80c6332df1edc7a2dc6534e8bbf7677c4b4c0 (diff)
downloadslackbuilds-626a6ae87de9a68b02f989dd849daed015533a3a.tar.gz
slackbuilds-626a6ae87de9a68b02f989dd849daed015533a3a.tar.xz
development/jbigkit: Added to 12.0 repository
Diffstat (limited to 'development/jbigkit')
-rw-r--r--development/jbigkit/README17
-rw-r--r--development/jbigkit/jbigkit.SlackBuild72
-rw-r--r--development/jbigkit/jbigkit.info8
-rw-r--r--development/jbigkit/slack-desc19
4 files changed, 116 insertions, 0 deletions
diff --git a/development/jbigkit/README b/development/jbigkit/README
new file mode 100644
index 0000000000..1555449774
--- /dev/null
+++ b/development/jbigkit/README
@@ -0,0 +1,17 @@
+JBIG is a highly effective lossless compression algorithm for
+high-resolution bi-level images (one bit per pixel), which is
+particularly suitable for scanned documents or fax pages.
+
+JBIG-KIT provides a portable library of compression and decompression
+functions with a documented interface that you can include very easily
+into your image or document processing software. In addition, JBIG-KIT
+provides ready-to-use compression and decompression programs with a
+simple command line interface
+
+IMPORTANT NOTICE
+
+It seems that some of the JBIG algorithms implemented in JBIG-KIT were
+or may be still covered by patents. JBIG-KIT comes without any patent
+license as its author is not sure which patents affect which use of
+JBIG in which country. With this being said, you should compile and
+use JBIG-KIT on your own.
diff --git a/development/jbigkit/jbigkit.SlackBuild b/development/jbigkit/jbigkit.SlackBuild
new file mode 100644
index 0000000000..348cd58790
--- /dev/null
+++ b/development/jbigkit/jbigkit.SlackBuild
@@ -0,0 +1,72 @@
+#!/bin/sh
+
+# Slackware build script for jbigkit
+# Written by Iskar Enev <iskar.enev[@]gmail.com>
+
+PRGNAM=jbigkit
+VERSION=1.6
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+# Build the shared library first
+cd libjbig
+ make libjbig.a CFLAGS="$SLKCFLAGS"
+ gcc -shared -o libjbig.so.$VERSION -Wl,-soname=libjbig.so.$VERSION \
+ $(ar t libjbig.a)
+ ln -snf libjbig.so.$VERSION libjbig.so
+ make clean
+cd -
+
+# ... and all the rest
+make CCFLAGS="$SLKCFLAGS"
+
+# Test the compiled tools - this is optional
+# LD_LIBRARY_PATH=$CWD/libjbig make test
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+# There is no "install" target in the Makefile...
+
+mkdir -p $PKG/usr/{bin,lib,include,man/man1,doc/$PRGNAM-$VERSION}
+
+cp -a pbmtools/{jbgtopbm,pbmtojbg} $PKG/usr/bin
+cp -a pbmtools/*.1 $PKG/usr/man/man1
+gzip -9 $PKG/usr/man/man1/*.1
+cp -a libjbig/jbig.h $PKG/usr/include
+cp -a libjbig/libjbig.* $PKG/usr/lib
+
+cp -a ANNOUNCE CHANGES INSTALL $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a libjbig/jbig.doc $PKG/usr/doc/$PRGNAM-$VERSION/jbig.txt
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/development/jbigkit/jbigkit.info b/development/jbigkit/jbigkit.info
new file mode 100644
index 0000000000..376a5b164d
--- /dev/null
+++ b/development/jbigkit/jbigkit.info
@@ -0,0 +1,8 @@
+PRGNAM="jbigkit"
+VERSION="1.6"
+HOMEPAGE="http://www.cl.cam.ac.uk/~mgk25/jbigkit/"
+DOWNLOAD="http://www.cl.cam.ac.uk/~mgk25/download/jbigkit-1.6.tar.gz"
+MD5SUM="ce196e45f293d40ba76af3dc981ccfd7"
+MAINTAINER="Iskar Enev"
+EMAIL="<iskar.enev[@]gmail.com>"
+APPROVED="rworkman"
diff --git a/development/jbigkit/slack-desc b/development/jbigkit/slack-desc
new file mode 100644
index 0000000000..41493856e1
--- /dev/null
+++ b/development/jbigkit/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+jbigkit: JBIG-KIT (highly effective lossless compression algorithm)
+jbigkit:
+jbigkit: JBIG is a highly effective lossless compression algorithm for
+jbigkit: high-resolution bi-level images (one bit per pixel), which is
+jbigkit: particularly suitable for scanned documents or fax pages.
+jbigkit:
+jbigkit: JBIG-KIT provides a portable library of compression and decompression
+jbigkit: functions with a documented interface that you can easily include
+jbigkit: into your image or document processing software. JBIG-KIT also
+jbigkit: provides ready-to-use compression and decompression programs with a
+jbigkit: simple command line interface.